The green iguana (Iguana iguana), also known as the American iguana or the common green iguana, is a large, arboreal, mostly herbivorous species of lizard of the genus Iguana. The green iguana ranges over a large geographic area. It is native from southern Brazil and Paraguay as far north as Mexico, and has been introduced from South America to Puerto Rico and is very common throughout the island.

A herbivore, it has adapted significantly with regard to locomotion and osmoregulation as a result of its diet. It grows to 1.5 m (4.9 ft) in length from head to tail, although a few specimens have grown more than 2 m (6.6 ft) with bodyweights upward of 20 lb (9.1 kg).

Commonly found in captivity as a pet due to its calm disposition and bright colors, it can be very demanding to care for properly. Space requirements and the need for special lighting and heat can prove challenging to the hobbyist.